MultiScreenConfigurationEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.ui.event
Class MultiScreenConfigurationEvent

    java.lang.Object
      java.util.EventObject
          org.ocap.ui.event.MultiScreenEvent
              org.ocap.ui.event.MultiScreenConfigurationEvent

All Implemented Interfaces:
  Serializable

    public class MultiScreenConfigurationEvent

extends MultiScreenEvent

A `MultiScreenConfigurationEvent` is used to report changes to the global state of the `MultiScreenManager` instance or the state of some display `HScreen` with respect to the per-platform or some per-display multiscreen configuration, respectively, or to changes to a specific `MultiScreenConfiguration` instance.

The following types of changes SHALL cause the generation of this event:

- The currently active per-platform multiscreen configuration as determined by the `MultiScreenManager` changes from one multiscreen configuration to another multiscreen configuration;
- The currently active per-display multiscreen configuration as determined by some display `HScreen` changes from one multiscreen configuration to another multiscreen configuration;
- The set of screens associated with a `MultiScreenConfiguration` changes (i.e., a screen is added or removed from the multiscreen configuration);

Since:
  MSM I01
Author:
  Glenn Adams
See Also:
  Serialized Form

Field Summary
`static int` | `MULTI_SCREEN_CONFIGURATION_CHANGED` The currently active per-platform or some per-display `MultiScreenConfiguration` as determined by the `MultiScreenManager` or some display `HScreen` has changed, in which case the value returned by `getSource()` SHALL be the affected `MultiScreenManager` or display `HScreen`, and the value returned by `getRelated()` SHALL be the previously active `MultiScreenConfiguration`.
`static int` | `MULTI_SCREEN_CONFIGURATION_CHANGING` A change to the currently active per-platform or some per-display `MultiScreenConfiguration` as determined by the `MultiScreenManager` or some display `HScreen` has been initiated, in which case the value returned by `getSource()` SHALL be the affected `MultiScreenManager` or display `HScreen`, and the value returned by `getRelated()` SHALL be the subsequently active `MultiScreenConfiguration`.
`static int` | `MULTI_SCREEN_CONFIGURATION_LAST` Last event identifier assigned to `MultiScreenConfigurationEvent` event identifiers.
`static int` | `MULTI_SCREEN_CONFIGURATION_SCREEN_ADDED` The set of screens associated with a `MultiScreenConfiguration` has changed, with a new screen having been added, in which case the value returned by `getSource()` SHALL be the affected `MultiScreenConfiguration`, and the value returned by `getRelated()` SHALL be the newly added `HScreen`.
`static int` | `MULTI_SCREEN_CONFIGURATION_SCREEN_REMOVED` The set of screens associated with a `MultiScreenConfiguration` has changed, with an existing screen having been removed, in which case the value returned by `getSource()` SHALL be the affected `MultiScreenConfiguration`, and the value returned by `getRelated()` SHALL be the newly removed `HScreen`.

Fields inherited from class org.ocap.ui.event.MultiScreenEvent
`MULTI_SCREEN_CONFIGURATION_FIRST, MULTI_SCREEN_CONTEXT_FIRST`

Constructor Summary
`MultiScreenConfigurationEvent(Object source, int id, Object related)` Construct an `MultiScreenConfigurationEvent`.

Method Summary
`Object` | `getRelated()` Obtain a related object associated with this event.

Methods inherited from class org.ocap.ui.event.MultiScreenEvent
`getId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MULTI_SCREEN_CONFIGURATION_CHANGING

    public static final int MULTI_SCREEN_CONFIGURATION_CHANGING

  A change to the currently active per-platform or some per-display `MultiScreenConfiguration` as determined by the `MultiScreenManager` or some display `HScreen` has been initiated, in which case the value returned by `getSource()` SHALL be the affected `MultiScreenManager` or display `HScreen`, and the value returned by `getRelated()` SHALL be the subsequently active `MultiScreenConfiguration`.

  A `MULTI_SCREEN_CONFIGURATION_CHANGING` event SHALL NOT be dispatched to an application that has not been granted `MonitorAppPermission("multiscreen.configuration")`.

  Since:
    MSM I01
  See Also:
    Constant Field Values

### MULTI_SCREEN_CONFIGURATION_CHANGED

    public static final int MULTI_SCREEN_CONFIGURATION_CHANGED

  The currently active per-platform or some per-display `MultiScreenConfiguration` as determined by the `MultiScreenManager` or some display `HScreen` has changed, in which case the value returned by `getSource()` SHALL be the affected `MultiScreenManager` or display `HScreen`, and the value returned by `getRelated()` SHALL be the previously active `MultiScreenConfiguration`.

  Since:
    MSM I01
  See Also:
    Constant Field Values

### MULTI_SCREEN_CONFIGURATION_SCREEN_ADDED

    public static final int MULTI_SCREEN_CONFIGURATION_SCREEN_ADDED

  The set of screens associated with a `MultiScreenConfiguration` has changed, with a new screen having been added, in which case the value returned by `getSource()` SHALL be the affected `MultiScreenConfiguration`, and the value returned by `getRelated()` SHALL be the newly added `HScreen`.

  Except during the interval between the last dispatching of an `MULTI_SCREEN_CONFIGURATION_CHANGING` event and the generation of a corresponding `MULTI_SCREEN_CONFIGURATION_CHANGED` event, a screen SHALL NOT be added to and a `MULTI_SCREEN_CONFIGURATION_SCREEN_ADDED` event SHALL NOT be generated for a multiscreen configuration that is the current per-platform or some current per-display multiscreen configuration.

  Since:
    MSM I01
  See Also:
    Constant Field Values

### MULTI_SCREEN_CONFIGURATION_SCREEN_REMOVED

    public static final int MULTI_SCREEN_CONFIGURATION_SCREEN_REMOVED

  The set of screens associated with a `MultiScreenConfiguration` has changed, with an existing screen having been removed, in which case the value returned by `getSource()` SHALL be the affected `MultiScreenConfiguration`, and the value returned by `getRelated()` SHALL be the newly removed `HScreen`.

  Except during the interval between the last dispatching of an `MULTI_SCREEN_CONFIGURATION_CHANGING` event and the generation of a corresponding `MULTI_SCREEN_CONFIGURATION_CHANGED` event, a screen SHALL NOT be removed from and a `MULTI_SCREEN_CONFIGURATION_SCREEN_REMOVED` event SHALL NOT be generated for a multiscreen configuration that is the current per-platform or some current per-display multiscreen configuration.

  Since:
    MSM I01
  See Also:
    Constant Field Values

### MULTI_SCREEN_CONFIGURATION_LAST

    public static final int MULTI_SCREEN_CONFIGURATION_LAST

  Last event identifier assigned to `MultiScreenConfigurationEvent` event identifiers.

  Since:
    MSM I01
  See Also:
    Constant Field Values

Constructor Detail

### MultiScreenConfigurationEvent

    public MultiScreenConfigurationEvent(Object source,
                                         int id,
                                         Object related)

  Construct an `MultiScreenConfigurationEvent`.

  Parameters:
    `source` - A reference to a `MultiScreenManager` instance, a display `HScreen` instance, or a `MultiScreenConfiguration` instance in accordance with the specific event as specified above.
    `id` - The event identifier of this event, the value of which SHALL be one of the following: `MULTI_SCREEN_CONFIGURATION_CHANGING`, `MULTI_SCREEN_CONFIGURATION_CHANGED`, `MULTI_SCREEN_CONFIGURATION_SCREEN_ADDED`, or `MULTI_SCREEN_CONFIGURATION_SCREEN_REMOVED`.
    `related` - A reference to a `MultiScreenConfiguration` instance or an `HScreen` instance in accordanced with the specific event as specified above.
  Since:
    MSM I01

Method Detail

### getRelated

    public Object getRelated()

  Obtain a related object associated with this event.

  Returns:
    The related object instance of this event, the value of which SHALL be one of the following as determined by the specific event type: a reference to a `MultiScreenConfiguration` instance or a reference to an `HScreen` instance.
  Since:
    MSM I01

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD